<div class="outer-container">
    <div id="title">
        <h1>Upload Barang</h1>
    </div>
    <div id="query">
        <div id="upload">
            Pilih File: <input type = 'File' (change)="setFile($event)" accept=".csv">
        </div>
        <div id="format">
            Download Format: <button (click)="downloadImportFormat()">Download Format</button>
        </div>
    </div>
    <div id="info">
        <p class="item"><b>Berat Total (Gram):</b> {{ totalWeight | number : '1.2-4' }}</p>
        <p class="searchButton"><b>Total Barang:</b> {{ totalItem }}</p>
    </div>

    <div id="data" class="example-container mat-elevation-z8">
        <cdk-table #table [dataSource]="dataSource" class="example-table">
                
            <ng-container cdkColumnDef="itemId">
                <cdk-header-cell *cdkHeaderCellDef class="example-header-cell itemId">Id Barang </cdk-header-cell>
                <cdk-cell *cdkCellDef="let row" class="example-cell itemId"> {{row.itemId}} </cdk-cell>
            </ng-container>
        
            <ng-container cdkColumnDef="itemName">
                <cdk-header-cell *cdkHeaderCellDef class="example-header-cell"> Nama Barang </cdk-header-cell>
                <cdk-cell *cdkCellDef="let row" class="example-cell"> {{row.itemName}} </cdk-cell>
            </ng-container>

            <ng-container cdkColumnDef="itemCategory">
                <cdk-header-cell *cdkHeaderCellDef class="example-header-cell"> Kategori Barang </cdk-header-cell>
                <cdk-cell *cdkCellDef="let row" class="example-cell"> {{row.categoryName}} </cdk-cell>
            </ng-container>

            <ng-container cdkColumnDef="itemWeight">
                <cdk-header-cell *cdkHeaderCellDef class="example-header-cell"> Berat Barang (Gram) </cdk-header-cell>
                <cdk-cell *cdkCellDef="let row" class="example-cell"> {{row.itemWeight | number : '1.2-4'}} </cdk-cell>
            </ng-container>

            <ng-container cdkColumnDef="itemGoldContent">
                <cdk-header-cell *cdkHeaderCellDef class="example-header-cell"> Kadar Emas (%) </cdk-header-cell>
                <cdk-cell *cdkCellDef="let row" class="example-cell"> {{row.itemGoldContent | number : '1.0-2'}} </cdk-cell>
            </ng-container>

            <ng-container cdkColumnDef="itemBuyDate">
                <cdk-header-cell *cdkHeaderCellDef class="example-header-cell"> Tanggal Beli </cdk-header-cell>
                <cdk-cell *cdkCellDef="let row" class="example-cell"> {{row.itemBuyDate}} </cdk-cell>
            </ng-container>

            <ng-container cdkColumnDef="itemBuyPrice">
                <cdk-header-cell *cdkHeaderCellDef class="example-header-cell"> Harga Beli (IDR) </cdk-header-cell>
                <cdk-cell *cdkCellDef="let row" class="example-cell"> {{row.itemBuyPrice | number : '1.0-0' }} </cdk-cell>
            </ng-container>

            <ng-container cdkColumnDef="itemEntrustedStatus">
                <cdk-header-cell *cdkHeaderCellDef class="example-header-cell"> Barang Orang </cdk-header-cell>
                <cdk-cell *cdkCellDef="let row" class="example-cell"> {{row.itemEntrustedStatus }} </cdk-cell>
            </ng-container>
        
            <cdk-header-row *cdkHeaderRowDef="displayedColumnsImport" class="example-header-row"></cdk-header-row>
            <cdk-row *cdkRowDef="let row; columns: displayedColumnsImport;" class="example-row"></cdk-row>
        </cdk-table>
        <mat-paginator #paginator
                [length]="totalItem"
                [pageSize]="5"
                [pageSizeOptions]="[5, 10, 20]">
        </mat-paginator>
    </div>
    
</div>
<div class="input-container submit-button-container">
    <a (click)="sendCancel()" color="light" mat-raised-button>Batal</a>
    <a (click)="sendImport()" color="accent" mat-raised-button>Import</a>
</div>
